package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.enums.CustomFlowMultipleUserApproveTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程节点result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FlowViewTaskResult extends FlowTaskResult implements Serializable {

    @ApiModelProperty(value = "自定义流程审核类型")
    private CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType;

    @ApiModelProperty(value = "当前审批人")
    private String currentApproveUsers;

    @ApiModelProperty(value = "下一级审批人")
    private String pendApproveUsers;

    @ApiModelProperty(value = "是否当前节点")
    private boolean currentTask;

    @ApiModelProperty(value = "流程审批信息")
    List<TFFlowViewLogResult> tfFlowViewLogResultList;

    public String getPendApproveUsers() {
        return pendApproveUsers;
    }

    public void setPendApproveUsers(String pendApproveUsers) {
        this.pendApproveUsers = pendApproveUsers;
    }

    public List<TFFlowViewLogResult> getTfFlowViewLogResultList() {
        return tfFlowViewLogResultList;
    }

    public void setTfFlowViewLogResultList(List<TFFlowViewLogResult> tfFlowViewLogResultList) {
        this.tfFlowViewLogResultList = tfFlowViewLogResultList;
    }

    public CustomFlowMultipleUserApproveTypeEnum getMultipleUserApproveType() {
        return multipleUserApproveType;
    }

    public void setMultipleUserApproveType(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType) {
        this.multipleUserApproveType = multipleUserApproveType;
    }

    public String getCurrentApproveUsers() {
        return currentApproveUsers;
    }

    public void setCurrentApproveUsers(String currentApproveUsers) {
        this.currentApproveUsers = currentApproveUsers;
    }

    public boolean isCurrentTask() {
        return currentTask;
    }

    public void setCurrentTask(boolean currentTask) {
        this.currentTask = currentTask;
    }
}
